<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionCraft Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d19/class_action_craft.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionCraft Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionCraft:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/d19/class_action_craft.png" usemap="#ActionCraft_map" alt=""/>
  <map id="ActionCraft_map" name="ActionCraft_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a563351b64cc602667781a8a08afa5e4b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d19/class_action_craft.html#a563351b64cc602667781a8a08afa5e4b">ActionCraft</a> ()</td></tr>
<tr class="separator:a563351b64cc602667781a8a08afa5e4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dd9ef75b56170e5f97a8a25d68dc798"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d19/class_action_craft.html#a1dd9ef75b56170e5f97a8a25d68dc798">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a1dd9ef75b56170e5f97a8a25d68dc798"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7961e10ed3bc9e33a70b0a03f7d83c72"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d19/class_action_craft.html#a7961e10ed3bc9e33a70b0a03f7d83c72">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a7961e10ed3bc9e33a70b0a03f7d83c72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5e3c9d064cc0f4ebd78e99c155b6bd9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d19/class_action_craft.html#ac5e3c9d064cc0f4ebd78e99c155b6bd9">ApplyModifiers</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:ac5e3c9d064cc0f4ebd78e99c155b6bd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6faa0507c80df64be7edd49242b8a406"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d19/class_action_craft.html#a6faa0507c80df64be7edd49242b8a406">CancelCraft</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a6faa0507c80df64be7edd49242b8a406"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a97466391f62e8a67eac73494b6c92254"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d19/class_action_craft.html#a97466391f62e8a67eac73494b6c92254">m_HasStarted</a></td></tr>
<tr class="separator:a97466391f62e8a67eac73494b6c92254"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5306e98b38aade0a534286d4835a6e1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d19/class_action_craft.html#ad5306e98b38aade0a534286d4835a6e1">m_Item1</a></td></tr>
<tr class="separator:ad5306e98b38aade0a534286d4835a6e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac75ebfbb713ff963ae87641d61da723d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d19/class_action_craft.html#ac75ebfbb713ff963ae87641d61da723d">m_Item2</a></td></tr>
<tr class="separator:ac75ebfbb713ff963ae87641d61da723d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff79f790a402b84e2caccf0a6117d07e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d19/class_action_craft.html#aff79f790a402b84e2caccf0a6117d07e">m_RecipeID</a></td></tr>
<tr class="separator:aff79f790a402b84e2caccf0a6117d07e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../df/dee/_action_craft_8c_source.html#l00009">9</a> of file <a class="el" href="../../df/dee/_action_craft_8c_source.html">ActionCraft.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a563351b64cc602667781a8a08afa5e4b" name="a563351b64cc602667781a8a08afa5e4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a563351b64cc602667781a8a08afa5e4b">&#9670;&#160;</a></span>ActionCraft()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionCraft::ActionCraft </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/_action_craft_8c_source.html#l00018">18</a> of file <a class="el" href="../../df/dee/_action_craft_8c_source.html">ActionCraft.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7961e10ed3bc9e33a70b0a03f7d83c72" name="a7961e10ed3bc9e33a70b0a03f7d83c72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7961e10ed3bc9e33a70b0a03f7d83c72">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCraft::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/_action_craft_8c_source.html#l00050">50</a> of file <a class="el" href="../../df/dee/_action_craft_8c_source.html">ActionCraft.c</a>.</p>

</div>
</div>
<a id="ac5e3c9d064cc0f4ebd78e99c155b6bd9" name="ac5e3c9d064cc0f4ebd78e99c155b6bd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5e3c9d064cc0f4ebd78e99c155b6bd9">&#9670;&#160;</a></span>ApplyModifiers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionCraft::ApplyModifiers </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/_action_craft_8c_source.html#l00068">68</a> of file <a class="el" href="../../df/dee/_action_craft_8c_source.html">ActionCraft.c</a>.</p>

</div>
</div>
<a id="a6faa0507c80df64be7edd49242b8a406" name="a6faa0507c80df64be7edd49242b8a406"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6faa0507c80df64be7edd49242b8a406">&#9670;&#160;</a></span>CancelCraft()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionCraft::CancelCraft </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/_action_craft_8c_source.html#l00074">74</a> of file <a class="el" href="../../df/dee/_action_craft_8c_source.html">ActionCraft.c</a>.</p>

</div>
</div>
<a id="a1dd9ef75b56170e5f97a8a25d68dc798" name="a1dd9ef75b56170e5f97a8a25d68dc798"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1dd9ef75b56170e5f97a8a25d68dc798">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionCraft::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/_action_craft_8c_source.html#l00030">30</a> of file <a class="el" href="../../df/dee/_action_craft_8c_source.html">ActionCraft.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a97466391f62e8a67eac73494b6c92254" name="a97466391f62e8a67eac73494b6c92254"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97466391f62e8a67eac73494b6c92254">&#9670;&#160;</a></span>m_HasStarted</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ActionCraft::m_HasStarted</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/_action_craft_8c_source.html#l00011">11</a> of file <a class="el" href="../../df/dee/_action_craft_8c_source.html">ActionCraft.c</a>.</p>

</div>
</div>
<a id="ad5306e98b38aade0a534286d4835a6e1" name="ad5306e98b38aade0a534286d4835a6e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5306e98b38aade0a534286d4835a6e1">&#9670;&#160;</a></span>m_Item1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> ActionCraft::m_Item1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/_action_craft_8c_source.html#l00013">13</a> of file <a class="el" href="../../df/dee/_action_craft_8c_source.html">ActionCraft.c</a>.</p>

</div>
</div>
<a id="ac75ebfbb713ff963ae87641d61da723d" name="ac75ebfbb713ff963ae87641d61da723d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac75ebfbb713ff963ae87641d61da723d">&#9670;&#160;</a></span>m_Item2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> ActionCraft::m_Item2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/_action_craft_8c_source.html#l00014">14</a> of file <a class="el" href="../../df/dee/_action_craft_8c_source.html">ActionCraft.c</a>.</p>

</div>
</div>
<a id="aff79f790a402b84e2caccf0a6117d07e" name="aff79f790a402b84e2caccf0a6117d07e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff79f790a402b84e2caccf0a6117d07e">&#9670;&#160;</a></span>m_RecipeID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionCraft::m_RecipeID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/_action_craft_8c_source.html#l00016">16</a> of file <a class="el" href="../../df/dee/_action_craft_8c_source.html">ActionCraft.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../df/dee/_action_craft_8c_source.html">ActionCraft.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d19/class_action_craft.html">ActionCraft</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
